Social Fetch
YouTube

Get YouTube playlist

Get a YouTube playlist.

Operation

GET/v1/youtube/playlists

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

playlistIdstringrequired(query)

YouTube playlist id, or a YouTube playlist URL (the `list` query value is used when present).

min 1 chars · max 4096 chars

Response fields

data
objectrequired

Endpoint-specific response payload.

datalookupStatus
stringrequired

Whether the playlist was resolved for this request.

one of: found, not_found

dataplaylist
objectrequirednullable

Playlist summary when found.

dataplaylistid
stringrequired

YouTube playlist identifier.

min 1 chars

dataplaylisttitle
stringrequirednullable

Playlist title when available.

dataplaylistowner
objectrequirednullable

Playlist owner when available.

dataplaylistownerplatform
stringrequired

Social platform for this channel.

one of: youtube

dataplaylistownerplatformUserId
stringrequirednullable

YouTube channel id when available.

dataplaylistownerhandle
stringrequirednullable

YouTube channel handle without a leading @ when available.

dataplaylistownerdisplayName
stringrequirednullable

Public display name for the playlist owner when available.

dataplaylistownerprofileUrl
stringrequirednullable

Canonical public YouTube channel URL when available.

dataplaylisttotalVideos
integerrequirednullable

Reported total number of videos in the playlist when available.

≥ 0

datavideos
arrayrequired

Videos in the playlist when found. This array is empty when the playlist is not found.

datavideos[]id
stringrequired

YouTube video identifier.

min 1 chars

datavideos[]title
stringrequirednullable

Video title when available.

datavideos[]url
stringrequirednullable

Canonical public YouTube URL for the video when available.

datavideos[]thumbnailUrl
stringrequirednullable

Best available thumbnail image URL when available.

datavideos[]durationSeconds
integerrequirednullable

Duration of the video in seconds when available.

≥ 0

datavideos[]durationText
stringrequirednullable

Human-readable duration label when available.

datavideos[]channelTitle
stringrequirednullable

Uploader channel title shown for the video when available.

datavideos[]channelUrl
stringrequirednullable

Uploader channel URL when available.

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

YouTube playlist lookup result. Check `data.lookupStatus` for `found` vs `not_found`.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page